aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/common
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/common')
-rwxr-xr-xcoin/provisioning/common/linux/docker.sh7
-rwxr-xr-xcoin/provisioning/common/linux/docker_testserver.sh (renamed from coin/provisioning/common/linux/testserver/docker_testserver.sh)35
-rwxr-xr-xcoin/provisioning/common/macos/docker.sh63
-rwxr-xr-xcoin/provisioning/common/macos/docker_testserver.sh71
-rw-r--r--coin/provisioning/common/shared/testserver/apache2/Dockerfile (renamed from coin/provisioning/common/linux/testserver/apache2/Dockerfile)0
-rw-r--r--coin/provisioning/common/shared/testserver/danted/Dockerfile (renamed from coin/provisioning/common/linux/testserver/danted/Dockerfile)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/danted/danted (renamed from coin/provisioning/common/linux/testserver/danted/danted)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/danted/danted-authenticating (renamed from coin/provisioning/common/linux/testserver/danted/danted-authenticating)0
-rwxr-xr-xcoin/provisioning/common/shared/testserver/docker_machine.sh50
-rw-r--r--coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile (renamed from coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile)0
-rw-r--r--coin/provisioning/common/shared/testserver/settings.sh37
-rw-r--r--coin/provisioning/common/shared/testserver/squid/Dockerfile (renamed from coin/provisioning/common/linux/testserver/squid/Dockerfile)0
-rw-r--r--coin/provisioning/common/shared/testserver/testserver_util.sh41
-rw-r--r--coin/provisioning/common/shared/testserver/vsftpd/Dockerfile (renamed from coin/provisioning/common/linux/testserver/vsftpd/Dockerfile)0
-rw-r--r--coin/provisioning/common/windows/android-openssl.ps16
-rw-r--r--coin/provisioning/common/windows/msys.ps116
16 files changed, 300 insertions, 26 deletions
diff --git a/coin/provisioning/common/linux/docker.sh b/coin/provisioning/common/linux/docker.sh
index 16af0a0a..1d9e8419 100755
--- a/coin/provisioning/common/linux/docker.sh
+++ b/coin/provisioning/common/linux/docker.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -48,5 +48,8 @@ sudo docker info
sudo curl -L https://github.com/docker/compose/releases/download/1.21.0/docker-compose-$(uname -s)-$(uname -m) -o /usr/local/bin/docker-compose
sudo chmod +x /usr/local/bin/docker-compose
+# Install Avahi to discover Docker containers in the test network
+sudo apt-get install avahi-daemon -y
+
# Start testserver provisioning
-source "${BASH_SOURCE%/*}/testserver/docker_testserver.sh"
+source "${BASH_SOURCE%/*}/docker_testserver.sh"
diff --git a/coin/provisioning/common/linux/testserver/docker_testserver.sh b/coin/provisioning/common/linux/docker_testserver.sh
index 2534c416..2d5d9611 100755
--- a/coin/provisioning/common/linux/testserver/docker_testserver.sh
+++ b/coin/provisioning/common/linux/docker_testserver.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2017 The Qt Company Ltd.
+## Copyright (C) 2018 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -35,35 +35,28 @@
set -ex
+case ${BASH_SOURCE[0]} in
+ */linux/*) SERVER_PATH="${BASH_SOURCE[0]%/linux/*}/shared/testserver" ;;
+ */*) SERVER_PATH="${BASH_SOURCE[0]%/*}/../shared/testserver" ;;
+ *) SERVER_PATH="../shared/testserver" ;;
+esac
+
+# testserver shared scripts
+source "$SERVER_PATH/testserver_util.sh"
+
# Using SHA-1 of each server context as the tag of docker images. A tag labels a
# specific image version. It is used by docker compose file (docker-compose.yml)
# to launch the corresponding docker containers. If one of the server contexts
# (./apache2, ./danted, ...) gets changes, all the related compose files in
# qtbase should be updated as well.
-#
-# For example, here's how to get the SHA-1 of apache test server.
-# find ./apache2 -type f -print0 | sort -z | xargs -r0 sha1sum | \
-# awk '{ print $1 }' | sha1sum | awk '{ print $1 }'
-testserver='apache2 squid vsftpd ftp-proxy danted'
+source "$SERVER_PATH/settings.sh"
for server in $testserver
do
- context="${BASH_SOURCE%/*}/$server"
- sha1=$(find $context -type f -print0 | sort -z | xargs -r0 sha1sum | awk '{ print $1 }' | \
- sha1sum | awk '{ print $1 }')
- sudo docker build -t qt-test-server-$server:$sha1 $context
-
- # transition - The fixed tag is temporarily used by CI to pass the qtbase testing.
- case $server in
- apache2) fixed_tag="cc9ea678b92bdda33acb9fa0159bb4ad0f3cd947" ;;
- squid) fixed_tag="577d99307eea9a8cccfec944d25be2bce2fe99cc" ;;
- vsftpd) fixed_tag="18896604c7e90b543e56d80c8a8aabdb65a590d0" ;;
- ftp-proxy) fixed_tag="2c6c8f1ab6a364b540c43d705fb6f15a585cb2af" ;;
- danted) fixed_tag="327dd56c3c35db85b26fac93213a5a1918475bc7" ;;
- esac
- [ -z "$fixed_tag" ] || \
- sudo docker tag qt-test-server-$server:$sha1 qt-test-server-$server:$fixed_tag
+ context="$SERVER_PATH/$server"
+ # Sort files by their SHA-1 and use the accumulated result as the TAG
+ sudo docker build -t qt-test-server-$server:$(sha1tree $context) $context
done
sudo docker images
diff --git a/coin/provisioning/common/macos/docker.sh b/coin/provisioning/common/macos/docker.sh
new file mode 100755
index 00000000..96265454
--- /dev/null
+++ b/coin/provisioning/common/macos/docker.sh
@@ -0,0 +1,63 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# Download and install the Docker Toolbox for macOS (Docker Compose and Docker Machine).
+url="https://download.docker.com/mac/stable/DockerToolbox.pkg"
+target_file="DockerToolbox.pkg"
+
+if [ -x "$(command -v sha1sum)" ]
+then
+ # This part shall be used in CI environment only. The DownloadURL script needs sha1sum
+ # which is not included in the default macOS system. In addition, the cached pkg can't
+ # be downloaded out of the Qt internal network.
+ case ${BASH_SOURCE[0]} in
+ */macos/*) UNIX_PATH="${BASH_SOURCE[0]%/macos/*}/unix" ;;
+ */*) UNIX_PATH="${BASH_SOURCE[0]%/*}/../unix" ;;
+ *) UNIX_PATH="../unix" ;;
+ esac
+
+ source "$UNIX_PATH/DownloadURL.sh"
+ url_cached="http://ci-files01-hki.ci.local/input/windows/DockerToolbox.pkg"
+ sha1="7196d2d30648d486978d29adb5837ff7876517c1"
+ DownloadURL $url_cached $url $sha1 $target_file
+else
+ curl $url -o $target_file
+fi
+sudo installer -pkg $target_file -target /
+
+# Start testserver provisioning
+source "${BASH_SOURCE%/*}/docker_testserver.sh"
diff --git a/coin/provisioning/common/macos/docker_testserver.sh b/coin/provisioning/common/macos/docker_testserver.sh
new file mode 100755
index 00000000..051386ea
--- /dev/null
+++ b/coin/provisioning/common/macos/docker_testserver.sh
@@ -0,0 +1,71 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+case ${BASH_SOURCE[0]} in
+ */macos/*) SERVER_PATH="${BASH_SOURCE[0]%/macos/*}/shared/testserver" ;;
+ */*) SERVER_PATH="${BASH_SOURCE[0]%/*}/../shared/testserver" ;;
+ *) SERVER_PATH="../shared/testserver" ;;
+esac
+
+# testserver shared scripts
+source "$SERVER_PATH/testserver_util.sh"
+
+# Nested virtualization - Print CPU features to verify that CI has enabled VT-X/AMD-v support
+cpu_features=$(sysctl -a | grep machdep.cpu.features)
+case $cpu_features in
+ *VMX*) ;;
+ *) echo "VMX not found error! Please make sure Coin has enabled VT-X/AMD-v." >&2; exit 1 ;;
+esac
+
+# Create docker virtual machine (Boot2docker)
+source "$SERVER_PATH/docker_machine.sh"
+
+# Using SHA-1 of each server context as the tag of docker images. A tag labels a
+# specific image version. It is used by docker compose file (docker-compose.yml)
+# to launch the corresponding docker containers. If one of the server contexts
+# (./apache2, ./danted, ...) gets changes, all the related compose files in
+# qtbase should be updated as well.
+
+source "$SERVER_PATH/settings.sh"
+
+for server in $testserver
+do
+ context="$SERVER_PATH/$server"
+ docker build -t qt-test-server-$server:$(sha1tree $context) $context
+done
+
+docker images
diff --git a/coin/provisioning/common/linux/testserver/apache2/Dockerfile b/coin/provisioning/common/shared/testserver/apache2/Dockerfile
index b39eb21e..b39eb21e 100644
--- a/coin/provisioning/common/linux/testserver/apache2/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/apache2/Dockerfile
diff --git a/coin/provisioning/common/linux/testserver/danted/Dockerfile b/coin/provisioning/common/shared/testserver/danted/Dockerfile
index 67c1159b..67c1159b 100644
--- a/coin/provisioning/common/linux/testserver/danted/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/danted/Dockerfile
diff --git a/coin/provisioning/common/linux/testserver/danted/danted b/coin/provisioning/common/shared/testserver/danted/danted
index 1da8203e..1da8203e 100755
--- a/coin/provisioning/common/linux/testserver/danted/danted
+++ b/coin/provisioning/common/shared/testserver/danted/danted
diff --git a/coin/provisioning/common/linux/testserver/danted/danted-authenticating b/coin/provisioning/common/shared/testserver/danted/danted-authenticating
index 7aa35db6..7aa35db6 100755
--- a/coin/provisioning/common/linux/testserver/danted/danted-authenticating
+++ b/coin/provisioning/common/shared/testserver/danted/danted-authenticating
diff --git a/coin/provisioning/common/shared/testserver/docker_machine.sh b/coin/provisioning/common/shared/testserver/docker_machine.sh
new file mode 100755
index 00000000..601056a4
--- /dev/null
+++ b/coin/provisioning/common/shared/testserver/docker_machine.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+TestMachine='qt-test-server'
+
+# Deploy docker virtual machine (Boot2Docker) into VirtualBox only if it doesn't exist
+if [ -z $(docker-machine ls -q --filter "name=$TestMachine") ]
+then
+ docker-machine create -d virtualbox $TestMachine
+ docker-machine ip $TestMachine
+fi
+
+# Switch the docker engine to $TestMachine
+eval $(docker-machine env $TestMachine)
+
+docker-machine ls
diff --git a/coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile b/coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile
index c719c1eb..c719c1eb 100644
--- a/coin/provisioning/common/linux/testserver/ftp-proxy/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/ftp-proxy/Dockerfile
diff --git a/coin/provisioning/common/shared/testserver/settings.sh b/coin/provisioning/common/shared/testserver/settings.sh
new file mode 100644
index 00000000..041661f2
--- /dev/null
+++ b/coin/provisioning/common/shared/testserver/settings.sh
@@ -0,0 +1,37 @@
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# A list of test servers to be provisioned
+testserver='apache2 squid vsftpd ftp-proxy danted'
diff --git a/coin/provisioning/common/linux/testserver/squid/Dockerfile b/coin/provisioning/common/shared/testserver/squid/Dockerfile
index f0ed68b3..f0ed68b3 100644
--- a/coin/provisioning/common/linux/testserver/squid/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/squid/Dockerfile
diff --git a/coin/provisioning/common/shared/testserver/testserver_util.sh b/coin/provisioning/common/shared/testserver/testserver_util.sh
new file mode 100644
index 00000000..c42fb5e0
--- /dev/null
+++ b/coin/provisioning/common/shared/testserver/testserver_util.sh
@@ -0,0 +1,41 @@
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# Sort files by their SHA-1, and then return the accumulated result
+sha1tree () {
+ find "$@" -type f -print0 | \
+ xargs -0 shasum | cut -d ' ' -f 1 | \
+ sort | shasum | cut -d ' ' -f 1
+}
diff --git a/coin/provisioning/common/linux/testserver/vsftpd/Dockerfile b/coin/provisioning/common/shared/testserver/vsftpd/Dockerfile
index af6cd7c7..af6cd7c7 100644
--- a/coin/provisioning/common/linux/testserver/vsftpd/Dockerfile
+++ b/coin/provisioning/common/shared/testserver/vsftpd/Dockerfile
diff --git a/coin/provisioning/common/windows/android-openssl.ps1 b/coin/provisioning/common/windows/android-openssl.ps1
index 5390dfae..a6bcaaeb 100644
--- a/coin/provisioning/common/windows/android-openssl.ps1
+++ b/coin/provisioning/common/windows/android-openssl.ps1
@@ -53,9 +53,9 @@ Rename-Item C:\Utils\openssl-$version $destination
Remove-Item -Path $zip
Remove-Item C:\Utils\openssl-$version.tar
-Set-EnvironmentVariable "CC" "C:\utils\Android\android-ndk-r18b\toolchains\llvm\prebuilt\windows\bin\clang"
-Set-EnvironmentVariable "AR" "C:\utils\Android\android-ndk-r18b\toolchains\llvm\prebuilt\windows\bin\llvm-ar"
-Set-EnvironmentVariable "ANDROID_DEV" "C:\utils\Android\android-ndk-r18b\platforms\android-21\arch-arm\usr"
+# Set-EnvironmentVariable "CC" "C:\utils\Android\android-ndk-r18b\toolchains\llvm\prebuilt\windows\bin\clang"
+# Set-EnvironmentVariable "AR" "C:\utils\Android\android-ndk-r18b\toolchains\llvm\prebuilt\windows\bin\llvm-ar"
+# Set-EnvironmentVariable "ANDROID_DEV" "C:\utils\Android\android-ndk-r18b\platforms\android-21\arch-arm\usr"
# Make sure configure for openssl has a "make" and "perl" available
$env:PATH = $env:PATH + ";C:\msys\1.0\bin;C:\strawberry\perl\bin"
diff --git a/coin/provisioning/common/windows/msys.ps1 b/coin/provisioning/common/windows/msys.ps1
new file mode 100644
index 00000000..df67cc20
--- /dev/null
+++ b/coin/provisioning/common/windows/msys.ps1
@@ -0,0 +1,16 @@
+. "$PSScriptRoot\helpers.ps1"
+
+# This script will install msys which is needed for configuring openssl for Android
+
+$version = "1.0.11"
+$url = "\\ci-files01-hki.intra.qt.io\provisioning\windows\msys-$version.7z"
+
+$zip = Get-DownloadLocation ("msys-$version.7z")
+$sha1 = "22cd76f1263db8c72727a9537228c481ff33c285"
+$destination = "C:\msys"
+
+Download $url $url $zip
+Verify-Checksum $zip $sha1
+C:\Utils\sevenzip\7z.exe x $zip -oC:\
+
+Write-Output "Msys = $version" >> ~/versions.txt